# $Revision: 1.78.2.1 $, $Date: 2004/03/26 15:22:26 $
#
# Conditional build:
%bcond_without	gpg		# build without GPG support
%bcond_without	ssl		# build without SSL support
%bcond_without	ipv6		# build without IPv6 support
%bcond_without	ldap		# build without LDAP support
%bcond_without	faces		# build without compfaces support
%bcond_without	dillo		# build without dillo plugin (html browser)
%bcond_without	clamav		# build without clamav plugin
%bcond_without	spamassassin	# build without spamassassin plugin
%bcond_without	trayicon	# build without trayicon plugin
%bcond_with	mathml		# build with mathml plugin
#
%define		_sname	sylpheed
%define		_iconver	20040206
Summary:	A bleeding edge branch of Sylpheed, a GTK+ based, lightweight, and fast e-mail client
Summary(pl):	Rozwojowa wersja Sylpheed z du iloci zmian oraz ulepsze
Name:		%{_sname}-claws
Version:	0.9.9
Release:	3
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://dl.sourceforge.net/%{name}/%{_sname}-%{version}claws.tar.bz2
# Source0-md5:	9068192f009fb8240be6e9222ff27999
Source1:	%{name}.desktop
Source2:	http://dl.sourceforge.net/%{name}/%{_sname}-iconset-%{_iconver}.tar.gz
# Source2-md5:	478128ccf00914990f73383692b5cd30
URL:		http://sylpheed-claws.sourceforge.net/
#BuildRequires:	aspell-devel >= 0.50
BuildRequires:	aspell-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
%{?with_clamav:BuildRequires:	clamav-devel}
%{?with_faces:BuildRequires:	faces-devel}
BuildRequires:	gdk-pixbuf-devel >= 0.8
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
%{?with_gpg:BuildRequires:	gpgme-devel >= 0.3.10}
%{?with_gpg:BuildRequires:	gpgme-devel < 0.4}
BuildRequires:	gtk+-devel >= 1.2.6
BuildRequires:	imlib-devel
BuildRequires:	libltdl-devel
BuildRequires:	libtool
# TODO: package gtkmathview: http://helm.cs.unibo.it/mml-widget/ (0.4.3 for gtk1, 0.6.0 for gtk2)
%{?with_mathml:BuildRequires:	gtkmathview >= 0.4.2}
%{?with_mathml:BuildRequires:	gtkmathview < 0.5}
%{?with_ldap:BuildRequires:	openldap-devel}
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.6m}
BuildRequires:	pkgconfig
%{?with_faces:Requires:	faces}
Obsoletes:	sylpheed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_desktopdir	%{_applnkdir}/Network/Mail

%description
This program is an X based fast e-mail client which has features same
as orginal Sylpheed but with new/improved features. Some of new stuff
is really cool and useable.

%description -l pl
Szybki klient poczty o moliwociach takich jak oryginalny Sylpheed
ale z nowymi/poprawionymi funkcjami. Niektre dodatki s naprawd
wietne i uyteczne.

%package plugins
Summary:	Special plugins for Sylpheed-Claws
Summary(pl):	Dodatkowe pluginy dla Sylpheed-Claws
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}
%{?with_dillo:Requires:	dillo}

%description plugins
This is collection of some usefull plugins for Sylpheed-claws.

%description plugins -l pl
Jest to zbir kilku dodatkowych pluginw powikszajcych moliwoci Sylpheeda.

%package devel
Summary:	Headers from Sylpheed-Claws
Summary(pl):	Pliki nagwkowe programu Sylpheed-Claws
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description devel
Sylpheed-Claws development package.

%description devel -l pl
Pliki nagwkowe programu Sylpheed-Claws.

%package themes
Summary:	Themes for Sylpheed-Claws
Summary(pl):	Motywy dla programu Sylpheed-Claws
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description themes
Sylpheed-Claws themes package.

%description themes -l pl
Motywy dla programu Sylpheed-Claws.

%prep
%setup -q -n %{_sname}-%{version}claws -a1 -a2
mv %{_sname}-iconset-* themes
mv -f themes/README README.themes

%build
#rm -f missing
#%%{__libtoolize}
#%%{__gettextize}
#%%{__autoconf}
#%%{__aclocal} -I ac
#%%{__aclocal}
#%%{__autoheader}
#%%{__automake}
%configure \
	%{?with_gpg:--enable-gpgme} %{!?with_gpg:--disable-gpgme} \
	%{?with_ldap:--enable-ldap} \
	%{?with_ssl:--enable-openssl} \
	%{?with_ipv6:--enable-ipv6 } \
	%{!?with_faces:--disable-compface} \
	%{?with_dillo:--enable-dillo-viewer-plugin } \
	%{!?with_dillo:--disable-dillo-viewer-plugin } \
	%{?with_clamav:--enable-clamav-plugin } \
	%{!?with_clamav:--disable-clamav-plugin } \
	%{?with_mathml:--enable-mathml-viewer-plugin } \
	%{!?with_mathml:--disable-mathml-viewer-plugin } \
	%{?with_trayicon:--enable-trayicon-plugin } \
	%{!?with_trayicon:--disable-trayicon-plugin } \
	%{?with_spamassassin:--enable-spamassassin-plugin } \
	--enable-aspell \
	--enable-gdk-pixbuf \
	--enable-threads

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_pkgconfigdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -a themes $RPM_BUILD_ROOT%{_datadir}/%{_sname}

install %{_sname}.png $RPM_BUILD_ROOT%{_pixmapsdir}
mv $RPM_BUILD_ROOT%{_libdir}/pkgconfig/*.pc $RPM_BUILD_ROOT%{_pkgconfigdir}

%find_lang %{_sname}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{_sname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO
%{_mandir}/man1/%{_sname}.1*
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{_sname}
%dir %{_datadir}/%{_sname}/manual
%{_datadir}/%{_sname}/manual/en
%lang(de) %{_datadir}/%{_sname}/manual/de
%lang(es) %{_datadir}/%{_sname}/manual/es
%lang(fr) %{_datadir}/%{_sname}/manual/fr
%lang(ja) %{_datadir}/%{_sname}/manual/ja
%dir %{_datadir}/%{_sname}/faq
%{_datadir}/%{_sname}/faq/en
%lang(de) %{_datadir}/%{_sname}/faq/de
%lang(es) %{_datadir}/%{_sname}/faq/es
%lang(fr) %{_datadir}/%{_sname}/faq/fr
%lang(it) %{_datadir}/%{_sname}/faq/it
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{_sname}.png

%files plugins
%defattr(644,root,root,755)
%dir %{_libdir}/%{_sname}
%dir %{_libdir}/%{_sname}/plugins
%attr(755,root,root) %{_libdir}/%{_sname}/plugins/*so

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{_sname}
%{_pkgconfigdir}/*.pc

%files themes
%defattr(644,root,root,755)
%{_datadir}/%{_sname}/themes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sylpheed-claws.spec,v $
Revision 1.78.2.1  2004/03/26 15:22:26  blues
- release 3 for RA - disabled ac/am/lt regeneretion (caused to fail
  install), moved *.pc to proper place.

Revision 1.78  2004/03/19 23:46:38  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.77  2004/03/08 09:37:51  qboosh
- removed long time obsolete jconv stuff, fixed typo in compface option
- BR for mathml bcond, strict internal deps, cosmetics

Revision 1.76  2004/03/07 13:27:07  eothane
- fixed bconds, some changelog cleanups

Revision 1.75  2004/02/10 12:03:26  deejay1
- missing BR: pkgconfig
- cosmetics

Revision 1.74  2004/02/08 12:19:32  deejay1
- updated to 0.9.9
- new bconds
- chlog cosmetics and freedesktopdirize

Revision 1.73  2004/01/03 02:14:29  adamg
- BR: bzip2-devel (pointed out by Pawcioos)

Revision 1.72  2003/12/19 21:58:24  luzik
- updated to 0.9.8

Revision 1.71  2003/12/02 17:01:59  andree
- BR: gmp-devel
- updated to 0.9.7

Revision 1.70  2003/10/02 21:12:55  adamg
- added *.pc to -devel

Revision 1.69  2003/10/02 20:59:11  adamg
- updated to 0.9.6

Revision 1.68  2003/09/30 20:18:35  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.67  2003/09/30 09:30:48  qboosh
- fixed+simplified -devel and -themes files lists, removed themes copy from base

Revision 1.66  2003/09/18 17:39:46  erjot
- fix Req

Revision 1.65  2003/09/12 13:04:13  erjot
- themes subpackage is back
- typo

Revision 1.64  2003/09/12 10:49:03  erjot
- devel subpackage

Revision 1.63  2003/09/12 10:21:36  erjot
- up to 0.9.5

Revision 1.62  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.61  2003/08/04 14:54:47  luzik
- added --disable options
 	"All plugins are now built automatically where the dependencies
	are satisfied"
- rel. 1

Revision 1.60  2003/08/04 11:05:32  maryush
- updated to 0.9.4

Revision 1.59  2003/07/13 14:15:16  erjot
- md5 sorry

Revision 1.58  2003/07/13 14:11:52  erjot
- up to 0.9.3
- plugins needs test

Revision 1.57  2003/06/13 11:19:03  luzik
- new bconds and fixed %files in plugins

Revision 1.56  2003/06/10 10:47:30  freetz
- small fix in plugins requires

Revision 1.55  2003/05/29 22:03:22  erjot
- bcond: dillo - html
- plugins subpackage

Revision 1.54  2003/05/29 20:17:27  erjot
- bcond: faces
- typos - where is iconset?

Revision 1.53  2003/05/27 13:41:25  t0tal
- added Source-md5
- removed Source1, not found at source server

Revision 1.52  2003/05/25 12:41:09  misi3k
- security update to 0.9.0
BUG: Integer Overflow Lets Remote IMAP Servers Cause the Client to Crash
